/* AgentCard.css */

.common-agent-card {
  width: 100%;
  box-shadow: 0px 0px 6px #00000008;
  border: 1px solid #000000;
  border-radius: 12px;
  padding: 4px;
  height: 100%;
}

.common-agent-card .agent-card-top {
  background: #caeaf9;
  border-radius: 9px;
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  position: relative;
}
.common-agent-card .agent-card-top .agent-profile {
  display: flex;
  gap: 10px;
  align-items: center;
}
.common-agent-card .agent-card-top .agent-profile .agent-img-wrapper {
  position: relative;
}
.common-agent-card .agent-card-top .agent-profile .img-wrapper {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  aspect-ratio: 1/1;
  border: 1px solid #fff;
  overflow: hidden;
  background: #c2bebf;
}
.common-agent-card .agent-card-top .agent-profile .img-wrapper .agent-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.common-agent-card .agent-card-top .agent-profile .verified-badge {
  position: absolute;
  top: -1px;
  right: -1px;
  width: 23px;
  height: 23px;
}
.common-agent-card
  .agent-card-top
  .agent-profile
  .verified-badge
  .verified-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.common-agent-card .agent-info {
  color: #000;
}

.common-agent-card .agent-info .rera-tag {
  position: unset;
  width: fit-content;
  margin-top: 9px;
}

.common-agent-card .agent-info .agent-rating {
  font-size: 15px;
  margin-bottom: 2px;
}
.common-agent-card .agent-info .agent-rating .star-icon {
  color: #ffffff;
  margin-right: 4px;
}
.common-agent-card .agent-info .name {
  font-size: 16px;
  margin: 0;
  font-weight: 400;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.common-agent-card .agent-card-body {
  padding: 9px;
}
.common-agent-card .agent-card-body .agent-row {
  display: flex;
  width: 100%;
  margin-bottom: 10px;
  font-size: 15px;
}
.common-agent-card .agent-card-body .agent-row .title {
  color: #1c1b1b;
  width: 50%;
  font-weight: 400;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.common-agent-card .agent-card-body .agent-row strong {
  font-weight: 600;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
  width: 50%;
}
.common-agent-card .more-cat-option {
  width: 50%;
}
.common-agent-card .more-cat-option strong {
  width: 100% !important;
}
.common-agent-card .agent-card-body .agent-row .see-more-btn {
  color: red;
  font-weight: 400;
  font-size: 13px;
  text-decoration: underline;
  cursor: pointer;
  text-align: right;
}
/* .common-agent-card .agent-card-body .agent-row  .category-fields{
  overflow: auto;
  height: 50px;
    display: block;
    scrollbar-width: thin;
} */
.common-agent-card .agent-card-body .agent-btn-row {
  display: flex;
  gap: 10px;
}

.wishlist-btn {
  color: black;
}

.wishlist-btn.active {
  color: #F44336;
}

@media (min-width: 992px) and (max-width: 1199px) {
  .common-agent-card .agent-card-top {
    padding: 6px;
  }
  .common-agent-card .agent-card-top .agent-profile .img-wrapper {
    width: 60px;
    height: 60px;
  }
  .common-agent-card .agent-info .agent-rating {
    font-size: 13px;
  }
  .common-agent-card .agent-info .name {
    font-size: 14px;
  }
  .common-agent-card .agent-card-top .agent-profile .verified-badge {
    width: 18px;
    height: 18px;
  }
  .common-agent-card .agent-card-top .agent-profile {
    gap: 6px;
  }
  .common-agent-card .agent-card-body {
    padding: 4px;
  }
  .common-agent-card .common_view_btn {
    padding: 4px 5px;
    font-size: 14px;
  }
  .common-agent-card .agent-card-body .agent-row {
    margin-bottom: 8px;
    font-size: 13px;
  }
}
@media (min-width: 768px) and (max-width: 991.98px) {
}
@media (min-width: 0px) and (max-width: 767.98px) {
  .common-agent-card .agent-card-top .agent-profile .img-wrapper {
    width: 65px;
    height: 65px;
  }
  .common-agent-card .common_view_btn {
    padding: 4px 5px;
    font-size: 14px;
  }
  .common-agent-card .agent-card-top {
    padding: 7px;
  }
  .common-agent-card .agent-card-body {
    padding: 7px;
  }
  .common-agent-card .agent-card-body .agent-row {
    margin-bottom: 10px;
    font-size: 14px;
  }
  .common-agent-card .agent-info .name {
    font-size: 14px;
  }
}
@media (min-width: 0px) and (max-width: 575.98px) {
  .common-agent-card .agent-card-top {
    padding: 13px;
  }
  .common-agent-card .agent-card-body {
    padding: 9px;
  }
  .common-agent-card .agent-info .name {
    font-size: 15px;
  }
}
